MeCab

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Attributes
mecab_dictionary_info_t Struct Reference

DictionaryInfo structure. More...

`#include <mecab.h>`

List of all members.

## Public Attributes

const char * | filename
| filename of dictionary On Windows, filename is stored in UTF-8 encoding
const char * | charset
| character set of the dictionary.
unsigned int | size
| How many words are registered in this dictionary.
int | type
| dictionary type this value should be MECAB_USR_DIC, MECAB_SYS_DIC, or MECAB_UNK_DIC.
unsigned int | lsize
| left attributes size
unsigned int | rsize
| right attributes size
unsigned short | version
| version of this dictionary
struct mecab_dictionary_info_t * | next
| pointer to the next dictionary info.

## Detailed Description

DictionaryInfo structure.

## Member Data Documentation

const char* mecab_dictionary_info_t::charset

character set of the dictionary.

e.g., "SHIFT-JIS", "UTF-8"

const char* mecab_dictionary_info_t::filename

filename of dictionary On Windows, filename is stored in UTF-8 encoding

unsigned int mecab_dictionary_info_t::lsize

left attributes size

struct mecab_dictionary_info_t* mecab_dictionary_info_t::next

pointer to the next dictionary info.

unsigned int mecab_dictionary_info_t::rsize

right attributes size

unsigned int mecab_dictionary_info_t::size

How many words are registered in this dictionary.

int mecab_dictionary_info_t::type

dictionary type this value should be MECAB_USR_DIC, MECAB_SYS_DIC, or MECAB_UNK_DIC.

unsigned short mecab_dictionary_info_t::version

version of this dictionary

The documentation for this struct was generated from the following file:

- /home/taku/proj/mecab/mecab/src/mecab.h